<?
///////////////////////////////////
/// Исаев Олег "PandCar" © 2013 ///
////// http://vk.com/pandcar //////
///////////////////////////////////

// "Начисление Игровых Ресурсов"
// Для работы нужно заполнить поля ниже для соединения с БД.
// Скрипту через GET "id_user_nash" или "id_collective_nash" можно передать значение ID, в таком случае произойдёт частичное авто заполнение.
// Примеры запроса: (accrual.php?id_user_nash=725), (accrual.php?id_collective_nash=12).

$host = 'localhost'; // Хост
$user = 'valfe201_ferma'; // Имя пользователя
$pass = 'paifeM9dohbid1o'; // Пароль
$dbname = 'valfe201_ferma'; // База данных
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>Начисление Игровых Ресурсов</title>
<style type="text/css">
body {margin: 0 auto;max-width:350px;font-family: Verdana, Arial, sans-serif;color: #FFFFFF;background-color:#303030;text-shadow: 0 1px 5px black;font-weight: normal;}
.block{border:1px solid #CCCC00;border-radius:3px;margin:2px 0;padding:4px;}
.podskazka{font-size:12pt;color:#555555;}
.otvet_da{font-size:13pt;color:#48AC3C;}
.otvet_net{font-size:13pt;color:#D75F0C;}
</style>
</head>
<body>
<font style="font-size:16pt;">Начисление Игровых Ресурсов</font><br>
<br>
<?
if(isset($_POST['submit'])){
// подключаемся и выбираем бд, которую указали выше
if(!mysql_connect($host,$user,$pass))
  die('Не удалось подключиться к серверу MySql!');
elseif(!mysql_select_db($dbname))
  die('Не удалось выбрать БД!');
//=========================================================================================//
if($_POST['adres']!=''){
if($_POST['komu']!=''){
if($_POST['deistvie']!=''){
if(($_POST['money_ch']!='')||($_POST['rubies_ch']!='')||($_POST['rating_ch']!='')){
if($_POST['adres']==1){$adres='kolhoz_user';}
if($_POST['adres']==2){$adres='kolhoz_collective';}
$rating_zag=floor($_POST['rating']);
$money_zag=floor($_POST['money']);
$rubies_zag=floor($_POST['rubies']);
if(($rating_zag<0)||($rating_zag=='')){$rating_zag=0;}
if(($money_zag<0)||($money_zag=='')){$money_zag=0;}
if(($rubies_zag<0)||($rubies_zag=='')){$rubies_zag=0;}
if($_POST['komu']==1){
$id_user=floor($_POST['id_user']);
if(($id_user<0)||($id_user=='')){$id_user=0;}
$id_user_inits="WHERE `id`='".$id_user."'";
}
$query = mysql_query("SELECT * FROM `".$adres."` ".$id_user_inits."");
$row = mysql_fetch_array($query);
do
{
$user=mysql_fetch_array(mysql_query("SELECT * FROM `".$adres."` WHERE `id`='".$row['id']."'"));
if($_POST['deistvie']==1){
$rating=$user['rating']-$rating_zag;
$money=$user['money']-$money_zag;
$rubies=$user['rubies']-$rubies_zag;
if($rating<0){$rating=0;}
if($money<0){$money=0;}
if($rubies<0){$rubies=0;}
}
if($_POST['deistvie']==2){
$rating=$user['rating']+$rating_zag;
$money=$user['money']+$money_zag;
$rubies=$user['rubies']+$rubies_zag;
}
if($_POST['deistvie']==3){
$rating=$rating_zag;
$money=$money_zag;
$rubies=$rubies_zag;
}
if(($_POST['rubies_ch']==1)||($_POST['rating_ch']==1)){$mon_pap=',';}
if($_POST['rating_ch']==1){$rub_pap=',';}
if($_POST['money_ch']==1){$mon="`money`='".$money."'".$mon_pap." ";}
if($_POST['rubies_ch']==1){$rub="`rubies`='".$rubies."'".$rub_pap." ";}
if($_POST['rating_ch']==1){$rat="`rating`='".$rating."' ";}
mysql_query("UPDATE `".$adres."` SET ".$mon.$rub.$rat."WHERE `id`='".$user['id']."'");
}
while($row = mysql_fetch_array($query));
echo '<font class="otvet_da">Выполненно соглассно введённым данным.</font><br>';
} else {echo '<font class="otvet_net">Не выбраны Активные поля.</font><br>';}
} else {echo '<font class="otvet_net">Не выбран Тип начисления.</font><br>';}
} else {echo '<font class="otvet_net">Не выбран Метод начисления.</font><br>';}
} else {echo '<font class="otvet_net">Не выбран Адрес начисления.</font><br>';}
//=========================================================================================//
}
if($_GET['id_user_nash']!=''){$avto_zap_user=' checked';$avto_zap=' checked';$avto_id=$_GET['id_user_nash'];}
if($_GET['id_collective_nash']!=''){$avto_zap_collective=' checked';$avto_zap=' checked';$avto_id=$_GET['id_collective_nash'];}
if($avto_id==''){$avto_id=0;}
?>
<form method="post"> 
<div class="block">
<font class="podskazka">1. Выбор адреса начисления:</font><br>
<input type="radio" name="adres" value="1"<? echo $avto_zap_user; ?>> Пользователи<br>
<input type="radio" name="adres" value="2"<? echo $avto_zap_collective; ?>> Колхозы<br>
</div>
<div class="block">
<font class="podskazka">2. Выбор метода начисления:</font><br>
<input type="radio" name="komu" value="1"<? echo $avto_zap; ?>> Только ID: <input type="text" size="5" name="id_user" value="<? echo $avto_id; ?>" onkeyup="this.value = this.value.replace (/\D/, '')"><br>
<input type="radio" name="komu" value="2"> Всем адресатам<br>
</div>
<div class="block">
<font class="podskazka">3. Выбор типа начисления:</font><br>
<input type="radio" name="deistvie" value="1"> Отнять колличество<br>
<input type="radio" name="deistvie" value="2"> Прибавить колличество<br>
<input type="radio" name="deistvie" value="3"> Точное колличество<br>
</div>
<div class="block">
<font class="podskazka">4. Выбор активных полей и суммы:</font><br>
<TABLE>
        <TR>
                <TD><input type="checkbox" name="money_ch" value="1">&nbsp;</TD> <TD>Монеты:</TD> <TD><input type="text" size="12" name="money" value="0" onkeyup="this.value = this.value.replace (/\D/, '')"></TD>
        </TR>
        <TR>
                <TD><input type="checkbox" name="rubies_ch" value="1">&nbsp;</TD> <TD>Рубины:</TD> <TD><input type="text" size="12" name="rubies" value="0" onkeyup="this.value = this.value.replace (/\D/, '')"></TD>
        </TR>        
		<TR>
                <TD><input type="checkbox" name="rating_ch" value="1">&nbsp;</TD> <TD>Опыт:</TD> <TD><input type="text" size="12" name="rating" value="0" onkeyup="this.value = this.value.replace (/\D/, '')"></TD>
        </TR>
</TABLE>
</div>
<br>
<input type="submit" name="submit" value="Выполнить Форму">
</form>
</body>
</html>
